*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #001f25;
    overflow: hidden;
}
.loader{
    position: relative;
    width: 300px;
    height: 300px;
    animation: animate1 8s linear infinite;
}
@keyframes animate1{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

.loader span{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 2s;
    transform: rotate(calc(36deg * var(--i)));
}

.loader span::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 25px;
    height: 25px;
    background: transparent;
    border: 4px solid #00efff;
    box-sizing: border-box;
    border-radius: 50%;
    box-shadow: 0 0 20px #00efff,
    -30px -30px 0 #00efff,
    -30px -30px 20px #00efff,
    -30px 30px 0 #00efff,
    -30px 30px 20px #00efff,
    30px 30px 0 #00efff,
    30px 30px 20px #00efff,
    30px -30px 0 #00efff,
    30px -30px 20px #00efff;
    animation: animate 5s linear infinite;
    animation-delay: calc(0.25s * var(--i));
    transition: 2s;
    
}
.loader:hover span::before{
    transform-origin: 250px;
    box-shadow: 0 0 20px #00efff,
    -200px -200px 0 #00efff,
    -200px -200px 20px #00efff,
    -200px 200px 0 #00efff,
    -200px 200px 20px #00efff,
    200px 200px 0 #00efff,
    200px 200px 20px #00efff,
    200px -200px 0 #00efff,
    200px -200px 20px #00efff;
}
@keyframes animate{
    0%{
        filter: hue-rotate(0deg);
        transform: rotate(0deg);
    }
    100%{
        filter: hue-rotate(360deg);
        transform: rotate(360deg);
    }
}